Package de.willuhn.jameica.hbci.server

# Enum Class Range.Category

java.lang.Object
java.lang.Enum<Range.Category>
de.willuhn.jameica.hbci.server.Range.Category

All Implemented Interfaces:
  `Serializable`, `Comparable<Range.Category>`, `Constable`

Enclosing class:
  `Range`

public static enum Range.Category extends Enum<Range.Category>
Enum mit den Kategorien.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AUSWERTUNG`
Kategorie für Auswertungen.
`ZAHLUNGSVERKEHR`
Kategorie für Zahlungsverkehr.

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
Liefert die ID der Kategorie.
`String`
`getName()`
Liefert den Namen der Kategorie.
`static Range.Category`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Range.Category[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ZAHLUNGSVERKEHR

public static final Range.Category ZAHLUNGSVERKEHR
Kategorie für Zahlungsverkehr.

### AUSWERTUNG

public static final Range.Category AUSWERTUNG
Kategorie für Auswertungen.

## Method Details

### values

public static Range.Category[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Range.Category valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getId

public String getId()
Liefert die ID der Kategorie.

Returns:
  id die ID der Kategorie.

### getName

public String getName()
Liefert den Namen der Kategorie.

Returns:
  der Name der Kategorie.